package com.yonge.cooleshow.common.enums.payment;

import com.baomidou.mybatisplus.annotation.EnumValue;
import lombok.Getter;

/**
 * 订单支付类型
 */
@Getter
public enum EPaymentType {

    VIP("开通会员"),
    PRACTICE("陪练课购买"),
    LIVE("直播课购买"),
    VIDEO("视频课购买"),
    MUSIC("单曲点播"),
    PIANO_ROOM("琴房时长"),
    ACTI_REGIST("活动报名"),
    ALBUM("专辑购买"),
    TENANT_ALBUM("平台专辑"),
    ;

    private final String msg;

    @EnumValue
    private final String code;

    EPaymentType(String msg) {
        this.msg = msg;

        this.code = this.name();
    }

}
